Bug 487935 - (CVE-2009-0746) CVE-2009-0746 kernel: ext4: make_indexed_dir() missing validation
CVE-2009-0746 kernel: ext4: make_indexed_dir() missing validation
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20090111,source=kernelbugzilla...
: Security
Depends On: 487939 487940
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-01 10:11 EST by Eugene Teo (Security Response)
Modified: 2011-10-25 13:39 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-25 13:39:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
corrupted image (154.35 KB, application/x-gzip)
2009-03-01 10:45 EST, Eugene Teo (Security Response)
no flags Details

  None (edit)
Description Eugene Teo (Security Response) 2009-03-01 10:11:27 EST
Description of problem:
Name: CVE-2009-0746
Status: Candidate
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-0746
Final-Decision: 
Interim-Decision: 
Modified: 
Proposed: 
Assigned: 20090227
Category: 
Reference: CONFIRM:http://bugzilla.kernel.org/show_bug.cgi?id=12430
Reference: CONFIRM:http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=e6b8bc09ba2075cd91fbffefcd2778b1a00bd76f
Reference: CONFIRM:http://kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.27.19
Reference: CONFIRM:http://kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.28.7
Reference: VUPEN:ADV-2009-0509
Reference: URL:http://www.vupen.com/english/advisories/2009/0509
Reference: XF:linux-kernel-makeindexeddir-ext4-dos(48872)
Reference: URL:http://xforce.iss.net/xforce/xfdb/48872

The make_indexed_dir function in fs/ext4/namei.c in the Linux kernel 2.6.27 before 2.6.27.19 and 2.6.28 before 2.6.28.7 does not validate a certain rec_len field, which allows local users to cause a denial of service (OOPS) by attempting to mount a crafted ext4 filesystem.
Comment 1 Eugene Teo (Security Response) 2009-03-01 10:45:06 EST
Created attachment 333651 [details]
corrupted image

Steps to reproduce:
1. gunzip the attached filesystem image
2. mount hdb.30000241 /mnt -t ext4 -o loop,errors=continue
3. cd /mnt
4. find -xdev -print0 2>/dev/null |xargs -0 touch -- 2>/dev/null
Comment 2 Eugene Teo (Security Response) 2009-03-01 10:45:27 EST
mrg-1 is affected by CONFIG_EXT4DEV_FS is not set by default.
Comment 4 Eugene Teo (Security Response) 2009-03-19 00:17:12 EDT
CVSS2 score of medium, 4.9 (AV:L/AC:L/Au:N/C:N/I:N/A:C)
Comment 5 errata-xmlrpc 2009-09-02 04:01:35 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1243 https://rhn.redhat.com/errata/RHSA-2009-1243.html
Comment 6 errata-xmlrpc 2009-09-02 05:06:43 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1243 https://rhn.redhat.com/errata/RHSA-2009-1243.html
Comment 7 errata-xmlrpc 2009-09-02 08:07:56 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1243 https://rhn.redhat.com/errata/RHSA-2009-1243.html
Comment 10 Kurt Seifried 2011-10-25 13:39:46 EDT
All children bugs closed, parent no longer needed

Note You need to log in before you can comment on or make changes to this bug.